From 4ed05312a1557b2f2552298a3aac12c2e224d77e Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Fri, 24 Sep 2021 08:56:36 +0530
Subject: [PATCH] [docs] Document the --print-passes flag in opt.

Reviewed By: aeubanks, asbirlea

Differential Revision: https://reviews.llvm.org/D109663
---
 llvm/docs/CommandGuide/opt.rst | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/llvm/docs/CommandGuide/opt.rst b/llvm/docs/CommandGuide/opt.rst
index 73d63f28c9bec..7ae9d330c7591 100644
--- a/llvm/docs/CommandGuide/opt.rst
+++ b/llvm/docs/CommandGuide/opt.rst
@@ -104,6 +104,10 @@ OPTIONS
 
      opt -load=plugin.so -help
 
+.. option:: -print-passes
+
+ Print all available passes and exit.
+
 EXIT STATUS
 -----------
 
